- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::CompositionTechnique::TextureDefinition Class Reference

Local texture definition. More...

`#include <OgreCompositionTechnique.h>`

List of all members.

## Public Member Functions
| TextureDefinition ()
## Public Attributes
String | name
size_t | width
size_t | height
PixelFormat | format

## Detailed Description

Local texture definition.

Definition at line 46 of file OgreCompositionTechnique.h.

## Constructor & Destructor Documentation

Ogre::CompositionTechnique::TextureDefinition::TextureDefinition | ( |  | ) |

Definition at line 54 of file OgreCompositionTechnique.h.

## Member Data Documentation

String Ogre::CompositionTechnique::TextureDefinition::name

Definition at line 49 of file OgreCompositionTechnique.h.

size_t Ogre::CompositionTechnique::TextureDefinition::width

Definition at line 50 of file OgreCompositionTechnique.h.

size_t Ogre::CompositionTechnique::TextureDefinition::height

Definition at line 51 of file OgreCompositionTechnique.h.

PixelFormat Ogre::CompositionTechnique::TextureDefinition::format

Definition at line 52 of file OgreCompositionTechnique.h.

The documentation for this class was generated from the following file:

- OgreCompositionTechnique.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:23 2008